EDIT - bug #8684

ITaxonService.findTaxaByName misses initStrategy Parameter
11/14/2019 04:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal Found in Version:

Description

ITaxonService.findTaxaByName misses initStrategy Parameter causing unsolvable LIEs when using via the portal service

once implemented, pass an initStrategy from the portal controller

Related issues:
Related to EDIT - bug #8676: TaxonDaoHibernatelmpl.countTaxaByName misses par... Closed
Related to EDIT - task #8683: TaxonDaoHibernatelmpl.countTaxaByName rename p... Closed

Associated revisions

Revision 36a4a34f - 11/15/2019 10:21 AM - Andreas Kohlbecker
fix #8684 adding initStratery to ITaxonService.findTaxaByName

Revision 18d9b6eb - 11/15/2019 10:49 AM - Andreas Miiller

ref #8684 fixing compile errors in cdmlib-persistence

Revision 83146769 - 11/15/2019 10:54 AM - Andreas Miiller

ref #8684 fixing compile errors in cdm-pesi

Revision 76b9084e - 01/14/2020 01:41 PM - Andreas Kohlbecker

ref #8684 fixing bean collection initialization in TaxonDaoHibernatelmpl.findTaxaByName

History

#1 - 11/14/2019 04:49 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#2 - 11/14/2019 04:50 PM - Andreas Kohlbecker

- Related to bug #8676: TaxonDaoHibernatelmpl.countTaxaByName misses parameter authorship added

#3 - 11/14/2019 04:50 PM - Andreas Kohlbecker

- Related to task #8683: TaxonDaoHibernatelmpl.countTaxaByName rename parameter authorship authorshipCache added

#4 - 11/15/2019 10:21 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|36a4a34fab6cad6f2d4b5c3707d55c2e2078e442.

#5 - 01/13/2020 05:32 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

testing the web service (locally with the caryophlalles_spp database):

http :8081/portal/taxon/doFindByNameParts. json genusOrUninomial==Selenicereus infragenericEpithet=='*' infrasp
ecificEpithet=='*' specificEpithet=='*' authorshipCache=="*"
causes an exception:
#6 - 01/14/2020 01:56 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

- % Done changed from 50 to 90

the webservice is now working, tested with:

http :8081/portal/taxon/doFindByNameParts. json genusOrUninomial==Selenicereus infragenericEpithet=="'*"
pecificEpithet=="'macdonaldeae'
.hibernate.taxon.TaxonDaoHibernateImpl.findTaxaByName (TaxonDaoHibernate

specificEpithet=="pteranthus'

also tested on t edit-test and confirmed that the service is working now

.cdm.api.service.TaxonServiceImpl.findTaxaByName (TaxonServiceImpl. java:514)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

infras

authorshipCache=="'*"

http http://test.e-taxonomy.eu/cdmserver/caryo_spp/portal/taxon/doFindByNameParts. json genusOrUninomial==Selen

icereus infragenericEpithet=="'*"

Cache=="*"

#8 - 01/14/2020 03:21 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
